# Class BlankColumn

java.lang.Object
uk.ac.starlink.table.ColumnData
uk.ac.starlink.table.BlankColumn

public class BlankColumn extends ColumnData
Represents a column with metadata but no data. Every cell returns null, and is not writable.

Since:
  28 Oct 2004
Author:
  Mark Taylor (Starlink)

## Constructor Summary

Constructors
Constructor
Description
`BlankColumn(ColumnInfo colinfo)`
Constructs a new column based on a given column metadata object.

## Method Summary

Modifier and Type
Method
Description
`Object`
`readValue(long irow)`
Returns column value, which is always null.

### Methods inherited from class ColumnData

`getColumnInfo, isWritable, setColumnInfo, storeValue`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BlankColumn

public BlankColumn(ColumnInfo colinfo)
Constructs a new column based on a given column metadata object.

Parameters:
  `colinfo` - metadata for column

## Method Details

### readValue

public Object readValue(long irow)
Returns column value, which is always null.

Specified by:
  `readValue` in class `ColumnData`
Parameters:
  `irow` - row index
Returns:
  null